Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSEC500Configuration Class Reference

The EC500 Feature Name Extensions (FNE's) class that contains the configuration data specific for this User. More...

`#import <CSEC500Configuration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the PPM server is configured. More...
NSString * | voicemailNumber
| Number to dial EC500 voicemail system. More...
NSString * | fneSimRingEnableNumber
| Number to dial for Off-Pbx call enable. More...
NSString * | fneSimRingDisableNumber
| Number to dial for Off-Pbx call disable. More...
NSString * | fneCallForwardEnableNumber
| Number to dial for enabling call forwarding. More...
NSString * | fneCallForwardCancelNumber
| Number to dial for call forward cancel. More...
NSString * | fneActiveAppearanceSelectNumber
| Number to dial for active appearance select. More...
NSString * | fneIdleAppearanceSelectNumber
| Number to dial for idle appearance select. More...
NSString * | fneSendAllCallsEnableNumber
| Number to dial for send all calls enable. More...
NSString * | fneSendAllCallsCancelNumber
| Number to dial for send all calls cancel. More...
NSUInteger | fneSetupDelayInSeconds
| Delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500. More...
BOOL | stationSecurityEnabled
| Specifies if the Station Security is enabled or not. More...

## Detailed Description

The EC500 Feature Name Extensions (FNE's) class that contains the configuration data specific for this User.

## Property Documentation

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the PPM server is configured.

- (NSString*) fneActiveAppearanceSelectNumber
| read write nonatomic copy

Number to dial for active appearance select.

- (NSString*) fneCallForwardCancelNumber
| read write nonatomic copy

Number to dial for call forward cancel.

Disables the Call Forward feature.

- (NSString*) fneCallForwardEnableNumber
| read write nonatomic copy

Number to dial for enabling call forwarding.

Enables the Call Forward feature.

- (NSString*) fneIdleAppearanceSelectNumber
| read write nonatomic copy

Number to dial for idle appearance select.

- (NSString*) fneSendAllCallsCancelNumber
| read write nonatomic copy

Number to dial for send all calls cancel.

Cancels the Send All Calls feature.

- (NSString*) fneSendAllCallsEnableNumber
| read write nonatomic copy

Number to dial for send all calls enable.

Enables the Send All Calls feature.

- (NSUInteger) fneSetupDelayInSeconds
| read write nonatomic assign

Delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500.

Values are 3,6,9,12 or 15 seconds

- (NSString*) fneSimRingDisableNumber
| read write nonatomic copy

Number to dial for Off-Pbx call disable.

Disables the Off-Pbx call feature.

- (NSString*) fneSimRingEnableNumber
| read write nonatomic copy

Number to dial for Off-Pbx call enable.

Enables the Off-Pbx-Call feature.

- (BOOL) stationSecurityEnabled
| read write nonatomic assign

Specifies if the Station Security is enabled or not.

- (NSString*) voicemailNumber
| read write nonatomic copy

Number to dial EC500 voicemail system.

The documentation for this class was generated from the following file:

- CSEC500Configuration.h